diff --git "a/mediaportal/Core/Util/UNCTools.cs" "b/mediaportal/Core/Util/UNCTools.cs"
index 65a6486745..fe1765d6af 100644
--- "a/mediaportal/Core/Util/UNCTools.cs"
+++ "b/mediaportal/Core/Util/UNCTools.cs"
@@ -30,6 +30,7 @@ namespace MediaPortal.Util
         static extern bool InternetGetConnectedState(ref ConnectionStatusEnum flags, int dw);
 
         static string HostDetectMethod = "Ping";
+        static int    UNCTimeOut = 1500;
 
         /// <summary>
         /// enum to hold the possible connection states
@@ -52,6 +53,7 @@ namespace MediaPortal.Util
           using (Profile.Settings xmlreader = new Profile.MPSettings())
           {
             HostDetectMethod = xmlreader.GetValueAsString("general", "HostDetectMethod", "Ping");
+            UNCTimeOut = xmlreader.GetValueAsInt("general", "UNCTimeOut", 1500);
           }
         }
 
@@ -469,6 +471,7 @@ namespace MediaPortal.Util
                                     break;
                                 case IPStatus.TimedOut:
                                     Log.Debug("UNCTools: PingHost: Connection has timed out...");
+                                    Log.Debug("UNCTools: UNCTimeOut set to :", UNCTimeOut , "ms");
                                     break;
                                 default:
                                     Log.Debug(string.Format("PingHost: Ping failed: {0}", pingReply.Status.ToString()));
@@ -519,7 +522,7 @@ namespace MediaPortal.Util
                 {
                     var t1 = Task.Factory.StartNew(_ => DnsReverseLookup(strHost_or_IP),
                                                         TaskCreationOptions.AttachedToParent)
-                                         .TimeoutAfter(1000)
+                                         .TimeoutAfter(UNCTimeOut)
                                          .ContinueWith(antecedent =>
                                          {
                                              if (!(antecedent.IsCanceled || antecedent.IsFaulted))
